<template>
  <div>
    <button class="colour shade-1"></button>
    <button class="colour shade-2"></button>
    <button class="colour shade-3"></button>
    <button class="colour shade-4"></button>
    <button class="colour shade-5"></button>
    <button class="colour shade-6"></button>
    <button class="colour shade-7"></button>
    <button class="colour shade-8"></button>
    <button class="colour shade-9"></button>
  </div>
</template>

<style>
:root {
  --background-color: 0;
}
.shade-1 {
  grid-area: shade-1;
  width: 60px;
  height: 100%;
  border-bottom-left-radius: 12px;
  background-color: hsl(var(--background-color), 100%, 10%);
}
.shade-2 {
  grid-area: shade-2;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 20%);
}
.shade-3 {
  grid-area: shade-3;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 30%);
}
.shade-4 {
  grid-area: shade-4;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 40%);
}
.shade-5 {
  grid-area: shade-5;
  width: 60px;
  height: 100%;
  background-color: hsl(50, 100%, 50%);
}
.shade-6 {
  grid-area: shade-6;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 60%);
}
.shade-7 {
  grid-area: shade-7;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 70%);
}
.shade-8 {
  grid-area: shade-8;
  width: 60px;
  height: 100%;
  background-color: hsl(0, 100%, 80%);
}
.shade-9 {
  grid-area: shade-9;
  width: 60px;
  height: 100%;
  border-bottom-right-radius: 12px;
  background-color: hsl(0, 100%, 90%);
}
</style>